- Mehrstufiger Lademechanismus (konkret 2 stufig)
  - implizierter cli Parameter --bundle-transformations
  - um das original Gemfile nicht zu ändern, könnte man es nach Gemfile_transformations kopieren
    - Gemfile_transformations(.lock) müssen in .gitignore
  - in Gemfile_transformations werden nun die Transformations Gems/Pfade/gits angehängt
  - darauf folgende wird gebundelt
  - anschließend wird der aktuelle Prozess durch einen Aufruf folgender Form *ersetzt*
    BUNDLE_GEMFILE=Gemfile.transformations bundle exec bin/transformator --no-bundle-transformations ... (oder so ähnlich)
    
- Möglichkeit mehrere Transformationen in Reihe zu schalten
  - dazu müsste lediglich innerhalb des ForkingEnumProzessors mehrere Transformationsscritte nacheinander durchgeführt werden
  
- da jede Transformation auf die source/target URI zugreifen kann, könnten hierrüber auch Reader/writer realisiert werden
- die Frage ist, inwieweit man die einzelnen Reader/writer in einzelne Gems aufsplittet
  - ein pragmatischer Kompromiss wäre, dass die Reader/Writer die oft benutzt werden (Elasticsearch, Postgres, Tar) Bestandteil
    des Transformator Gems sind/bleiben
  - man hat darüber hinaus aber die Möglichkeit,  Reader/Writer über "Transformationen" hinzuzufügen

- cool wäre, wenn man Files (Tar oder plain Files) über ssh URIs spezifizieren könnte
  - transformator -s ssh://msievers@node1/~/mab/archive1.tgz
- die frage ist, wie man dies intern realisiert
  - die einfache möglichkeit wäre zunächst einmal, den TarReader aufzubohren, damit dieser diesen Fall kennt/untersützt
    - das hätte jedoch den nachteil, dass jeder reader den ssh Kram erneut für sich (implementieren) bzw. behandeln müsste
  - die zweite Möglichkeit wäre, einen SSH Reader zu haben, welcher vor den TarReader geschaltet wird
    - dieser könnte bsp. das File nach /tmp Laden und anschließend den TarReader damit starten
    - Schwierig hierbei wäre, die Kontinuität des TarReaders (Enumerators) sicherzustellen, wenn diesem ein anderer Reader vorgeschaltet wäre
    - dies könnte wieder über Enumeratoren gelingen
      - ssh_reader.each -> gibt dateinamen im lokalen fs zurück
      - tar_reader call ss_reader.each, liest jeweils ein file und enumeriert über die darin befindlichen einträge
      - sobald keine einträge mehr vorhanden sind, bekommt er den nächsten dateinamen vom ssh reader usw.

- neben den CLI Parametern sollte es möglich sein, ein YAML Config File anzugeben, welches vorallem bei koomplexeren Settings das Handling erleichtert
